# Supplementary files

Collections of implementations of scalable DP Kernel ERM, DP KME release, and Kernel approximation via DP landmark experiments and their results contained in the paper [Differential Privacy in Scalable General Kernel Learning via $K$-means Nyström Random Features].

## Scalable DP Kernel ERM

The experiment compares the accuracies of the scalable DP Kernel SVM for simulation data. Detail in the paper. In the implementation, we split the experiment(10 times repetitions) into 5 jupyter notebooks: [Simulation for scalable DP kernel ERM-Copy0-4.ipynb]. By running each files you get 2 times repetitions, and the results are collected and produces the figure 1(a) in the paper in [Simulation for scalable DP kernel ERM plot.ipynb].

## DP KME release
The experiment compares the accuracies of the DP KME for \textsf{adult} data. Detail in the paper. Run the [DP KME release.ipynb], which will produce the figure 1(b) in the paper.

## Kernel approximation via DP landmarks.
The experiment compares the possible DP landmarks for the Gaussian kernels of $\sigma=2^i$ with $i\in\{0,1,2,3\}$ for the \textsf{adult} data. Run the [Kernel approximation via DP landmarks.ipynb], which will produce the figure 2 in the Appendix.
